curl --request GET \
--url https://api.flutterwave.com/v3/beneficiaries \
--header 'Authorization: Bearer <token>'{
"status": "success",
"message": "Payout beneficiaries fetched",
"meta": {
"page_info": {
"total": 9,
"current_page": 1,
"total_pages": 1
}
},
"data": [
{
"id": 3768,
"account_number": "0690000040",
"bank_code": "044",
"full_name": "Alexis Sanchez",
"meta": null,
"created_at": "2020-01-20T16:09:24.000Z",
"bank_name": "ACCESS BANK NIGERIA"
},
{
"id": 3690,
"account_number": "0690000039",
"bank_code": "044",
"full_name": "Dotun Ajib",
"meta": null,
"created_at": "2020-01-19T22:36:06.000Z",
"bank_name": "ACCESS BANK NIGERIA"
},
{
"id": 3644,
"account_number": "0690000034",
"bank_code": "044",
"full_name": "Ade Bond",
"meta": null,
"created_at": "2020-01-16T18:01:28.000Z",
"bank_name": "ACCESS BANK NIGERIA"
},
{
"id": 3608,
"account_number": "0690000044",
"bank_code": "044",
"full_name": "Mercedes Daniel",
"meta": null,
"created_at": "2020-01-15T11:58:02.000Z",
"bank_name": "ACCESS BANK NIGERIA"
},
{
"id": 3565,
"account_number": "0690000038",
"bank_code": "044",
"full_name": "John Sunday",
"meta": null,
"created_at": "2020-01-14T05:53:34.000Z",
"bank_name": "ACCESS BANK NIGERIA"
},
{
"id": 3104,
"account_number": "2540782773934",
"bank_code": "000",
"full_name": "Kwame Adew",
"meta": null,
"created_at": "2019-12-05T23:49:31.000Z",
"bank_name": "FA-BANK"
},
{
"id": 3093,
"account_number": "0690000041",
"bank_code": "044",
"full_name": "Alexis Rogers",
"meta": null,
"created_at": "2019-12-05T21:29:57.000Z",
"bank_name": "ACCESS BANK NIGERIA"
},
{
"id": 2923,
"account_number": "0690000032",
"bank_code": "044",
"full_name": "Pastor Bright",
"meta": null,
"created_at": "2019-11-28T08:15:29.000Z",
"bank_name": "ACCESS BANK NIGERIA"
},
{
"id": 2857,
"account_number": "0690000031",
"bank_code": "044",
"full_name": "Forrest Green",
"meta": null,
"created_at": "2019-11-20T10:33:20.000Z",
"bank_name": "ACCESS BANK NIGERIA"
}
]
}Get all beneficiaries saves for transfer
curl --request GET \
--url https://api.flutterwave.com/v3/beneficiaries \
--header 'Authorization: Bearer <token>'{
"status": "success",
"message": "Payout beneficiaries fetched",
"meta": {
"page_info": {
"total": 9,
"current_page": 1,
"total_pages": 1
}
},
"data": [
{
"id": 3768,
"account_number": "0690000040",
"bank_code": "044",
"full_name": "Alexis Sanchez",
"meta": null,
"created_at": "2020-01-20T16:09:24.000Z",
"bank_name": "ACCESS BANK NIGERIA"
},
{
"id": 3690,
"account_number": "0690000039",
"bank_code": "044",
"full_name": "Dotun Ajib",
"meta": null,
"created_at": "2020-01-19T22:36:06.000Z",
"bank_name": "ACCESS BANK NIGERIA"
},
{
"id": 3644,
"account_number": "0690000034",
"bank_code": "044",
"full_name": "Ade Bond",
"meta": null,
"created_at": "2020-01-16T18:01:28.000Z",
"bank_name": "ACCESS BANK NIGERIA"
},
{
"id": 3608,
"account_number": "0690000044",
"bank_code": "044",
"full_name": "Mercedes Daniel",
"meta": null,
"created_at": "2020-01-15T11:58:02.000Z",
"bank_name": "ACCESS BANK NIGERIA"
},
{
"id": 3565,
"account_number": "0690000038",
"bank_code": "044",
"full_name": "John Sunday",
"meta": null,
"created_at": "2020-01-14T05:53:34.000Z",
"bank_name": "ACCESS BANK NIGERIA"
},
{
"id": 3104,
"account_number": "2540782773934",
"bank_code": "000",
"full_name": "Kwame Adew",
"meta": null,
"created_at": "2019-12-05T23:49:31.000Z",
"bank_name": "FA-BANK"
},
{
"id": 3093,
"account_number": "0690000041",
"bank_code": "044",
"full_name": "Alexis Rogers",
"meta": null,
"created_at": "2019-12-05T21:29:57.000Z",
"bank_name": "ACCESS BANK NIGERIA"
},
{
"id": 2923,
"account_number": "0690000032",
"bank_code": "044",
"full_name": "Pastor Bright",
"meta": null,
"created_at": "2019-11-28T08:15:29.000Z",
"bank_name": "ACCESS BANK NIGERIA"
},
{
"id": 2857,
"account_number": "0690000031",
"bank_code": "044",
"full_name": "Forrest Green",
"meta": null,
"created_at": "2019-11-20T10:33:20.000Z",
"bank_name": "ACCESS BANK NIGERIA"
}
]
}Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Was this page helpful?